C# Class Revit.SDK.Samples.CreateWallinBeamProfile.CS.CreateWallinBeamProfile

Inheritance: IExternalCommand
Mostra file Open project: AMEE/revit Class Usage Examples

Public Methods

Method Description
CreateWallinBeamProfile ( ) : System

Default constructor of CreateWallinBeamProfile

Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result

Implement this method as an external command for Revit.

Private Methods

Method Description
BeginCreate ( Autodesk project ) : System.Boolean

Create the walls using the outline generated by the beams

CanCreateProfile ( ) : System.Boolean

Check whether a closed profile can be created by all the beams

EqualDouble ( Double first, Double second ) : System.Boolean

Check whether the two double data are the same

EqualPoint ( Autodesk first, Autodesk second ) : System.Boolean

Check whether the input two points are the same

FindBaseOffset ( ) : Double

Find the offset from the elevation of the lowest point to m_level's elevation

FindTopOffset ( ) : Double

Find the offset from the elevation of the highest point to m_level's elevation

IsInVerticalPlane ( ) : System.Boolean

Check whether all the beams are in a same vertical plane

IsVerticalProfile ( ) : System.Boolean

Check whether the selected beams can make a a vertical profile.

PrepareData ( Autodesk project ) : System.Boolean

Get necessary data from revit.such as selected beams, wall types and level information

Method Details

CreateWallinBeamProfile() public method

Default constructor of CreateWallinBeamProfile
public CreateWallinBeamProfile ( ) : System
return System

Execute() public method

Implement this method as an external command for Revit.
public Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result
commandData ExternalCommandData An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.
message string A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.
elements Autodesk A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.
return Autodesk.Revit.UI.Result